> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# List all products

> List all products available in the system



## OpenAPI

````yaml get /api/v1/products
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/products:
    get:
      tags:
        - Products
      summary: List all products
      description: List all products available in the system
      operationId: v1_products_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedProductList'
              examples:
                ListOfInsuranceProductsExample:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?offset=400&limit=100
                    previous: http://api.example.org/accounts/?offset=200&limit=100
                    results:
                      - - id: d0378ac1-f7e2-45ca-9312-6473d8d3d567
                          created_at: '2024-08-06T10:56:00.900428Z'
                          updated_at: '2024-08-06T10:56:00.900485Z'
                          is_trashed: false
                          trashed_at: null
                          restored_at: null
                          name: Travel Insurance
                          description: Travel
                          product_type: Travel
                          coverage_details: null
                          is_live: true
                          provider: c8ab1b72-5fee-4ca0-9d3e-591f9e782171
                        - id: 584926a8-c2ed-4feb-a37f-98d071656427
                          created_at: '2024-07-29T16:58:40.262604Z'
                          updated_at: '2024-07-29T16:58:40.262664Z'
                          is_trashed: false
                          trashed_at: null
                          restored_at: null
                          name: Plus Economic Life Insurance
                          description: City treat national price.
                          product_type: Auto
                          coverage_details: null
                          is_live: true
                          provider: a53dccce-cced-4fea-a794-028986f43927
                        - id: 5fc4f5d2-c1de-4007-b8f7-fe44836473ed
                          created_at: '2024-08-06T10:55:54.453115Z'
                          updated_at: '2024-08-06T10:55:54.453162Z'
                          is_trashed: false
                          trashed_at: null
                          restored_at: null
                          name: Health Insurance
                          description: Health
                          product_type: Health
                          coverage_details: null
                          is_live: true
                          provider: c8ab1b72-5fee-4ca0-9d3e-591f9e782171
                        - id: 05268117-a576-4318-8e3c-e0df7c399fa5
                          created_at: '2024-08-06T10:55:58.175434Z'
                          updated_at: '2024-08-06T10:55:58.175497Z'
                          is_trashed: false
                          trashed_at: null
                          restored_at: null
                          name: Auto Insurance
                          description: Auto
                          product_type: Auto
                          coverage_details: null
                          is_live: true
                          provider: c8ab1b72-5fee-4ca0-9d3e-591f9e782171
                        - id: 72512701-906f-4aa7-9d19-2c2315f7df37
                          created_at: '2024-08-06T10:56:43.935129Z'
                          updated_at: '2024-08-06T10:56:43.935207Z'
                          is_trashed: false
                          trashed_at: null
                          restored_at: null
                          name: Gadget Insurance
                          description: Gadget
                          product_type: Gadget
                          coverage_details: null
                          is_live: true
                          provider: c8ab1b72-5fee-4ca0-9d3e-591f9e782171
                  summary: List of Insurance Products Example
          description: ''
        '404':
          description: No products found
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PaginatedProductList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/Product'
    Product:
      type: object
      description: Serializer for the Product model
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique identifier for the package
        name:
          type: string
          description: Name of the package offered by the insurance provider
          maxLength: 255
        description:
          type: string
          nullable: true
          description: Description of the package
        product_type:
          allOf:
            - $ref: '#/components/schemas/ProductTypeEnum'
          description: |-
            Type of insurance package

            * `Life` - Life Insurance
            * `Health` - Health Insurance
            * `Auto` - Auto Insurance
            * `Cargo` - Cargo (Shipment) Insurance
            * `Gadget` - Gadget Insurance
            * `Travel` - Travel Insurance
            * `Home` - Home Insurance
            * `Student_Protection` - Student Protection
            * `Accident` - Accident Insurance
            * `Personal_Accident` - Personal Accident Insurance
            * `CreditLife` - Credit Life Insurance
            * `PetCare` - PetCare Insurance
            * `General` - General Insurance
            * `Other` - Other
        product_plan:
          type: string
          nullable: true
          description: >-
            The plan or tier of the product (e.g., Basic, Premium, or any custom
            plan)
          maxLength: 255
        coverages:
          type: array
          items:
            $ref: '#/components/schemas/Coverage'
        base_premium:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          description: Base premium (Estimate) price if no tiers or tenures are defined
        pricing:
          $ref: '#/components/schemas/ProductPricing'
        provider:
          $ref: '#/components/schemas/PolicyProvider'
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - coverages
        - created_at
        - id
        - name
        - pricing
        - product_plan
        - product_type
        - provider
        - updated_at
    ProductTypeEnum:
      enum:
        - Life
        - Health
        - Auto
        - Cargo
        - Gadget
        - Travel
        - Home
        - Student_Protection
        - Accident
        - Personal_Accident
        - CreditLife
        - PetCare
        - General
        - Other
      type: string
      description: |-
        * `Life` - Life Insurance
        * `Health` - Health Insurance
        * `Auto` - Auto Insurance
        * `Cargo` - Cargo (Shipment) Insurance
        * `Gadget` - Gadget Insurance
        * `Travel` - Travel Insurance
        * `Home` - Home Insurance
        * `Student_Protection` - Student Protection
        * `Accident` - Accident Insurance
        * `Personal_Accident` - Personal Accident Insurance
        * `CreditLife` - Credit Life Insurance
        * `PetCare` - PetCare Insurance
        * `General` - General Insurance
        * `Other` - Other
    Coverage:
      type: object
      properties:
        coverage_id:
          type: string
          readOnly: true
          description: unique identifier to track coverage details
        coverage_name:
          type: string
          readOnly: true
          description: Name of the coverage e.g collision, hospitalization, etc.
        coverage_description:
          type: string
        url:
          type: string
          format: uri
          readOnly: true
      required:
        - coverage_description
        - coverage_id
        - coverage_name
        - url
    ProductPricing:
      type: object
      description: >-
        Serializer for the Price model with limited fields (only amount and
        currency)
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        currency:
          type: string
          description: Currency code
          maxLength: 3
      required:
        - amount
    PolicyProvider:
      type: object
      properties:
        provider_id:
          type: string
          format: uuid
        provider_name:
          type: string
        email:
          type: string
          format: email
      required:
        - email
        - provider_id
        - provider_name
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````